package be.msyben.vinylManager.tools.musicBrainz.entities;

import com.google.gson.annotations.SerializedName;

public final class TrackMedia {
    private String format;
    private int position;
    @SerializedName("format-id") private String formatId;
    @SerializedName("track-count") private int trackCount;
    @SerializedName("track-offset") private int trackOffset;
    private String title;
    private Track[] tracks;

    public String getFormat() {
        return format;
    }

    public void setFormat(String format) {
        this.format = format;
    }

    public int getPosition() {
        return position;
    }

    public void setPosition(int position) {
        this.position = position;
    }

    public String getFormatId() {
        return formatId;
    }

    public void setFormatId(String formatId) {
        this.formatId = formatId;
    }

    public int getTrackCount() {
        return trackCount;
    }

    public void setTrackCount(int trackCount) {
        this.trackCount = trackCount;
    }

    public int getTrackOffset() {
        return trackOffset;
    }

    public void setTrackOffset(int trackOffset) {
        this.trackOffset = trackOffset;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Track[] getTracks() {
        return tracks;
    }

    public void setTracks(Track[] tracks) {
        this.tracks = tracks;
    }
    
    
}
